Subject: Re: bug#15814: bootstrap fails due to recent cl-symbol-macrolet patch

From: Glenn Morris <[email-masked]>
Date: Thu, 07 Nov 2013 16:03:12 -0500

Stefan Monnier wrote:

>> It looks like the offending change from that patch was the line in the
>> cl--block-wrapper definition.  I'm not sure if Stefan meant to include
>> that line or just forgot to clean his directory before intsalling the
>> patch.
>
> My directories are never clean, so I regularly fall into this trap.

This is a problem, isn't it? I mean, what happens when you accidentally
commit something that causes a non-obvious problem?

For example, in the course of bisecting something today, I came across
r112851, http://lists.gnu.org/archive/html/emacs-diffs/2013-06/msg00043.html,
which seems to include an unrelated change to subr.el that has no
ChangeLog entry AFAICS.